This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896711 - [abrt][a11y] libreoffice-core-3.6.3.2-8.fc18: ScAccessibleDocument::GetVisibleArea_Impl: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt][a11y] libreoffice-core-3.6.3.2-8.fc18: ScAccessibleDocument::GetVisibl...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:66ac0a5478bea218e7b1fd4d69e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 14:59 EST by mglane
Modified: 2013-02-04 09:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 09:28:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (13.30 KB, text/plain)
2013-01-17 14:59 EST, mglane
no flags Details
File: build_ids (8.09 KB, text/plain)
2013-01-17 14:59 EST, mglane
no flags Details
File: cgroup (127 bytes, text/plain)
2013-01-17 14:59 EST, mglane
no flags Details
File: core_backtrace (6.61 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: dso_list (20.90 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: environ (2.58 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: maps (100.54 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: open_fds (1.46 KB, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details
File: var_log_messages (348 bytes, text/plain)
2013-01-17 15:00 EST, mglane
no flags Details

  None (edit)
Description mglane 2013-01-17 14:59:53 EST
Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc /var/tmp/2012_sciencefair_regs-2.xls --splash-pipe=6
crash_function: ScAccessibleDocument::GetVisibleArea_Impl
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.6-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 ScAccessibleDocument::GetVisibleArea_Impl at /usr/src/debug/libreoffice-3.6.3.2/sc/source/ui/Accessibility/AccessibleDocument.cxx:2085
 #1 ScAccessibleDocument::ScAccessibleDocument at /usr/src/debug/libreoffice-3.6.3.2/sc/source/ui/Accessibility/AccessibleDocument.cxx:1234
Comment 1 mglane 2013-01-17 14:59:55 EST
Created attachment 680474 [details]
File: backtrace
Comment 2 mglane 2013-01-17 14:59:57 EST
Created attachment 680475 [details]
File: build_ids
Comment 3 mglane 2013-01-17 14:59:59 EST
Created attachment 680476 [details]
File: cgroup
Comment 4 mglane 2013-01-17 15:00:01 EST
Created attachment 680477 [details]
File: core_backtrace
Comment 5 mglane 2013-01-17 15:00:03 EST
Created attachment 680478 [details]
File: dso_list
Comment 6 mglane 2013-01-17 15:00:05 EST
Created attachment 680479 [details]
File: environ
Comment 7 mglane 2013-01-17 15:00:06 EST
Created attachment 680480 [details]
File: limits
Comment 8 mglane 2013-01-17 15:00:08 EST
Created attachment 680481 [details]
File: maps
Comment 9 mglane 2013-01-17 15:00:12 EST
Created attachment 680482 [details]
File: open_fds
Comment 10 mglane 2013-01-17 15:00:18 EST
Created attachment 680483 [details]
File: proc_pid_status
Comment 11 mglane 2013-01-17 15:00:20 EST
Created attachment 680484 [details]
File: var_log_messages
Comment 12 Eike Rathke 2013-01-18 07:20:27 EST
This is not by chance reproducible?

Note1:
sc/source/ui/Accessibility/AccessibleDocument.cxx:2085
is the end of the source file and not in ScAccessibleDocument::GetVisibleArea_Impl()

Note2: from backtrace:
Timeout exceeded: 240 seconds, killing gdb.
Looks like gdb hung while generating backtrace.

The system may have been in an unstable state.
Comment 13 mglane 2013-01-18 09:19:43 EST
(In reply to comment #12)
> This is not by chance reproducible?
> 

This has only occurred once.  Libreoffice shut down when trying to open a document.  I restarted Libreoffice, automatically recovered the documents that had been open, opened the document that I was originally trying to open when the crash occurred, and kept working.
Comment 14 David Tardon 2013-02-04 09:28:15 EST
there is not much chance that we figure it out, then

Note You need to log in before you can comment on or make changes to this bug.